#include "caproxyhttph.h"
#include <cajson-data-encoder.h>
#include <cahttpmsg.h>

// returns a JSON representation of an error condition
// If mesg is empty: "invalid request" is set as "msg"
std::string CaProxyHttpH::proc_error(const std::string &mesg) const {
    return CaJsonDataEnc().toString(std::list<CuData> { CuData("err", true).set("msg", mesg.length() == 0 ? "invalid request" : mesg)} );
}
