#ifndef CAPROXYLISTENER_H
#define CAPROXYLISTENER_H

#include <cuthreadlistener.h>

class CaProxyThreadPool;
class CuLogImplI;
class CaProxyListenerP;

class CaProxyListener : public CuThreadListener
{
public:
    CaProxyListener();
    ~CaProxyListener();
    void init(CaProxyThreadPool *pp, CuLogImplI* log);


    // CuThreadListener interface
public:
    void onProgress(int step, int total, const CuData &data);
    void onResult(const CuData &data);
    void onResult(const std::vector<CuData> &datalist);
    CuData getToken() const;

private:
    CaProxyListenerP *d;
};

#endif // CAPROXYLISTENER_H
