#ifndef CaRegiDbMon_H
#define CaRegiDbMon_H

#include <cuperiodicactivity.h>

class CaRegiDbMonPrivate;
class CaRegiDbFuncs;
class CuLogImplI;

class CaRegiDbMon : public CuPeriodicActivity
{
public:
	CaRegiDbMon(const CuData& tok, CuLogImplI *log);
	~CaRegiDbMon();

	// CuActivity interface
public:
	bool matches(const CuData &token) const;
    void event(CuActivityEvent *e);
protected:
	void init();
	void execute();
	void onExit();

private:
	CaRegiDbMonPrivate *d;
};

#endif // CaRegiDbMon_H
