#ifndef CAREGISTRARLISTENER_H
#define CAREGISTRARLISTENER_H

#include <cahttpmsg.h>
#include <cuthreadlistener.h>
#include <ca-receiver-a.h>

class CaProxyThreadPool;
class CaRegistrarListenerPrivate;
class CuLogImplI;

class CaRegistrarListener : public CuThreadListener
{
public:
    CaRegistrarListener();
    ~CaRegistrarListener();
    void init(CaProxyThreadPool *pp, CuLogImplI* log);
    // CuThreadListener interface
public:
    void onProgress(int step, int total, const CuData &data);
    void onResult(const CuData &data);
    void onResult(const std::vector<CuData> &datalist);
    CuData getToken() const;

private:
    CaRegistrarListenerPrivate *d;

};

#endif // CAREGISTRARLISTENER_H
